% eda02_05
% computes and plot histogram of temperature, d
% the histogram has Lh bins

% read the data
D=load('brf_temp.txt');
t=D(:,1);
d=D(:,2);
Ns=size(D);
N=Ns(1);
M=Ns(2);

% compute histogram
Lh = 100;
dmin = min(d);
dmax = max(d);
bins = dmin + (dmax-dmin)*[1:Lh]'/Lh;
dhist = hist(d, bins)';

% plot histogram
figure(1);
clf;
set(gca,'LineWidth',2);
hold on;
plot(bins, dhist, 'k', 'LineWidth',2);
title('Histogram of temperature');
xlabel('tempeature bin');
ylabel('counts');




